Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 78196 - ListView lacks reordering like that in TreeView
ListView lacks reordering like that in TreeView
Status: RESOLVED WONTFIX
Product: platform
Classification: Unclassified
Component: Explorer
5.x
All All
: P2 (vote)
: 6.x
Assigned To: Jaroslav Tulach
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-16 23:08 UTC by Nathan Fiedler
Modified: 2010-04-01 21:09 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nathan Fiedler 2006-06-16 23:08:19 UTC
The TreeView derivatives allow reordering the children of a node using drag and
drop, but the ListView lacks this important feature. The users of EntPack need
to use the kludgy "reorder" action dialog instead of the natural drag-n-drop
technique for reordering nodes.

In particular, the TreeView indicates, by drawing a thin black line, where a
node will be dropped between two other nodes. This allows for easy reordering of
the nodes. ListView always assumes that the drop will occur inside another node,
not between nodes.
Comment 1 Antonin Nebuzelsky 2008-02-07 16:13:21 UTC
Reassigning to new module owner Tomas Holy.
Comment 2 Jaroslav Tulach 2010-04-01 21:09:29 UTC
Provide a patch, please.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo